summaryrefslogtreecommitdiff
path: root/bin/copy-to-build-support
diff options
context:
space:
mode:
Diffstat (limited to 'bin/copy-to-build-support')
-rwxr-xr-xbin/copy-to-build-support13
1 files changed, 3 insertions, 10 deletions
diff --git a/bin/copy-to-build-support b/bin/copy-to-build-support
index bb7e421..0dcc298 100755
--- a/bin/copy-to-build-support
+++ b/bin/copy-to-build-support
@@ -77,16 +77,9 @@ verbose_flock -s ${wait_for_lock} 9
exec 8> "${package_database_lock_file}"
verbose_flock ${wait_for_lock} 8
-if [ -z "${wait_for_lock}" ]; then
- while intentions_left; do
- >&2 echo 'There are still intentions in the queue.'
- sleep 1
- done
-else
- if intentions_left; then
- >&2 echo 'come back (shortly) later - There are still intentions in the queue.'
- exit 1
- fi
+if intentions_left ${wait_for_lock}; then
+ >&2 echo 'come back (shortly) later - There are still intentions in the queue.'
+ exit 1
fi
tmp_dir=$(mktemp -d "${work_dir}/tmp.copy-to-build-support.0.XXXXXXXXXX")